*{
	margin: 0;
	padding: 0;
}
body{
	font-family: PingFang SC, Arial, Hiragino Sans GB, Microsoft YaHei, sans-serif;
	color: #303133;
	font-size: 14px;
	background-color: #f6f6f6;
	width: 100%;
	height: 100%;
}
div, span{
	box-sizing: border-box;
}
div{
	display: block;
}
img {
	max-width: 100%;
}
.flex-wrap{
	flex-wrap: wrap;
}
.flex {
	display: flex;
	flex-direction: row;
	align-items: center;
}
.col-baseline{
	align-items: baseline;
}
.p-t-16 {
	padding-top: 16px;
}
.flex-col{
	display: flex;
	flex-direction: column;
}
.col-center {
	align-items: center;
}
.m-b-16 {
	margin-bottom: 16px;
}
.m-b-7{
	margin-bottom: 7px;
}
.m-l-5{
	margin-left: 5px;
}
.m-r-5{
	margin-right: 5px;
}
.p-5{
	padding: 5px;
}
.m-b-4{
	margin-bottom: 4px;
}
.xs{
	font-size: 12px;
}
#app{
	width: 100vw;
	height: 100vh;
	background: #fff;
}
.index{
	position: relative;
	background-repeat: no-repeat;
	background-size: 100% auto;
	overflow: hidden;
	height: 100vh;
	width: 100vw;
}
.index-content{
	width: 100%;
	height: 100%;
	overflow-x: hidden;
	overflow-y: auto;
}
.search{
	box-sizing: border-box;
	width: 100%;
}
.search .search-content{
	height: 32px;
	line-height: 32px;
	padding: 0 24px;
}
.slg-icon{
	display: inline-flex;
	align-items: center;
}
.slg-icon--right{
	flex-direction: row;
	align-items: center;
}
.search .search-content .search-text{
	margin-left: 8px;
}
.separate{
	width: 100%;
}
.separate .line{
	border-width: 1px;
}
.line{
	-webkit-line-clamp: 1;
}
.line, .line-2, .line-3{
	overflow: hidden;
	word-break: break-all;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-box-orient: vertical;
}
.line-2{
	-webkit-line-clamp: 2;
}
.blank {
	width: 100%;
	height: 10px;
}
.banner {
	height: 0;
	box-sizing: border-box;
	overflow: hidden;
	position: relative;
	transform: translateY(0);
}
.indicator {
	position: absolute;
	bottom: 7px;
	z-index: 2;
	width: 100%;
	padding: 0 20px;
	box-sizing: border-box;
}
.indicator .indicator-item{
	display: inline-block;
	background: rgba(0, 0, 0, 0.3);
}
.indicator .indicator-item:not(:last-of-type) {
	margin-right: 5px;
}
.indicator .circle .indicator-item{
	width: 6px;
	height: 6px;
	border-radius: 50%;
}
.indicator .fillet .indicator-item{
	width: 12px;
	height: 2px;
}
.indicator .indicator-number{
	display: inline-block;
	min-width: 18px;
	height: 18px;
	padding: 0 6px;
	color: #fff;
	line-height: 18px;
	background: rgba(0, 0, 0, 0.3);
	border-radius: 18px;
	font-size: 12px;
}
.swiper{
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
}
.S-swiper{
	width: 100%;
	height: 100%;
	overflow: hidden;
}
.S-swiper .swiper-wrapper{
	position: relative;
	width: 100% !important;
	height: 100%;
	transform: translateZ(0);
}
.S-swiper .swiper-wrapper .swiper-slide{
	width: 100% !important;
}
.S-swiper .swiper-notification {
	position: absolute;
	left: 0;
	top: 0;
	pointer-events: none;
	opacity: 0;
	z-index: -1000;
}
.graphic  .graphic-list {
	display: flex;
	overflow-x: auto;
}
.graphic  .graphic-list .graphic-item {
	overflow: hidden;
	flex: none;
	width: 140px;
	background-color: #fff;
}
.graphic  .graphic-list .graphic-item:not(:last-of-type) {
	margin-right: 10px;
}
.graphic  .graphic-list .graphic-item .info{
	width: 100%;
	text-align: center;
	font-size: 15px;
	line-height: 1;
	padding: 10px 8px;
}
.graphic .graphic-list .graphic-item .info .title{
	font-weight: 700;
	font-size: 16px;
	padding: 0;
}
.graphic  .graphic-list .graphic-item .info .subtitle{
	margin-top: 10px;
	font-size: 12px;
}
.line-1 {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.editor-container{
	background-color: white;
	padding: 10px;
}
.navigation {
	position: relative;
}
.navigation .navigation-swiper{
	position: relative;
	z-index: 99;
}
.graphic .graphic-list::-webkit-scrollbar {
	display: none;
	width: 0 !important;
	height: 0 !important;
	-webkit-appearance: none;
	background: transparent;
	color: transparent;
}
.notice{
	padding: 0 10px;
	position: relative;
}
.notice .left-line{
	height: 14px;
	width: 1px;
	background-color: #e5e5e5;
	margin: 0 10px;
}
.notice .shade{
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	z-index: 100;
}
.notice .new-tag{
	color: #ff2c3c;
	padding: 0 5px;
	margin-right: 5px;
	font-size: 11px;
	border-radius: 7px;
	background: transparent;
	border: 1px solid #ff2c3c;
}
.tag{
	box-sizing: border-box;
	align-items: center;
	border-radius: 3px;
	display: inline-block;
	line-height: 1;
}
.size-mini{
	font-size: 10px;
	padding: 3px 6px;
}
.mode-plain-primary{
	background-color: #fff;
	color: #ff2c3c;
	border: 1px solid #ff2c3c;
}
.shape-circle{
	border-radius: 50px;
}
.flex-1{
	flex: 1;
}
.swiper-consten{
	display: block;
	height: 150px;
	overflow: hidden;
}
.swiper-consten .swiper-wrapper{
	position: relative;
	width: 100%;
	height: 100%;
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
}
.swiper-consten .swiper-slides{
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
}
.oveflow-hidden{
	overflow: hidden;
}
.slg-icon .iconfont{
	font-size: 14px;
	font-weight: normal;
	top: 0px;
	color: #303133;
}
.rubik .rubik-item2{
	display: flex;
}
.rubik .rubik-item2 .item-image{
	flex: 1 1 auto;
	width: 50%;
}
.rubik .rubik-item3{
	display: flex;
}
.rubik .rubik-item3 .item-image{
	flex: 1 1 auto;
	width: 33.3%;
}
.rubik .rubik-item4,
.rubik .rubik-item6{
	position: relative;
	width: 100%;
	height: 187px;
}

.rubik .rubik-item4 .item-image,.rubik .rubik-item6 .item-image{
	position: absolute;
}
.rubik .rubik-item4 .item-image{
	overflow: hidden;
	display: flex;
	align-items: center;
}
.rubik .rubik-item6 .item-image{
	overflow: hidden;
	display: flex;
	align-items: center;
}
.rubik  .rubik-item5{
	display: flex;
	flex-wrap: wrap;
}
.rubik  .rubik-item5 .item-image{
	flex: 1 1;
	width: 50%;
	height: 94px;
	overflow: hidden;
	display: flex;
	align-items: center;
}
a{
	display: inline-block;
	width: 100%;
}
.rubik .item-image img{
	width: 100%;
}
.swiper a{
	height: 100%;
}
.title{
	padding: 12px 15px;
}
.title .title-content{
	font-size: 16px;
	font-weight: 500;
}
.title .title-subtitle{
	font-size: 12px;
}
.title .title-style1{
	text-align: center;
}
.title .title-style1 .title-content{
	display: inline-flex;
	align-items: center;
}
.title .title-style1 .title-content::before,
.title .title-style1 .title-content::after{
	content: '';
	display: inline-block;
	width: 49px;
	height: 1px;
	margin: 0 10px;
	background: #dcdfe6;
}
.title .title-more{
	font-size: 12px;
}
.goods-group .goods-lists{
	overflow: hidden;
}
.goods-group .goods-lists.larger .goods-wrap .goods-item .goods-info{
	padding: 10px;
}
.goods-group .goods-lists.larger .goods-wrap .goods-item .goods-image{
	padding-top: 46%;
}
.goods-group .goods-lists.perline{
	display: flex;
	flex-wrap: wrap;
}
.goods-group .goods-lists.perline .goods-wrap{
	width: 50%;
}
.goods-group .goods-lists.perline .goods-wrap .goods-info .name{
	line-height: 18px;
	height: 36px;
}
.goods-group .goods-lists.swiper{
	overflow-x: auto;
	overflow-y: hidden;
	display: flex;
	position: relative !important;
}
.goods-group .goods-lists.swiper .goods-wrap{
	flex: 0 0 36%;
	width: 36%;
}
.goods-group .goods-lists.lists .goods-wrap .goods-item{
	flex-direction: row;
}
.goods-group .goods-lists.lists .goods-wrap .goods-item .goods-image{
	width: 120px;
	padding-top: 120px;
}
.goods-group .goods-lists.lists .goods-wrap .goods-item .goods-info{
	position: relative;
	padding: 10px;
}
.goods-group .goods-lists.lists .goods-wrap .goods-item .goods-info .price-btn{
	position: absolute;
	right: 10px;
	left: 10px;
	bottom: 10px;
}
.goods-group .goods-lists .goods-wrap{
	overflow: hidden;
}
.goods-group .goods-lists .goods-wrap .goods-item{
	overflow: hidden;
	display: flex;
	flex-direction: column;
	position: relative;
	transform: translateY(0);
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-image{
	position: relative;
	width: 100%;
	padding-top: 100%;
	box-sizing: border-box;
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-image{
	position: relative;
	width: 100%;
	padding-top: 100%;
	box-sizing: border-box;
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-image .u-image{
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	width: 100%;
	overflow: hidden;
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-image .u-image img{
	object-fit: cover;
	object-position: center;
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-info{
	flex: 1;
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-info .buy-btn{
	flex: none;
	color: #fff;
	padding: 2px 16px;
	border-radius: 4rpx;
	border: 1px solid transparent;
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-info .name{
	color: #333333;
}
.goods-group .goods-lists .goods-wrap .goods-item .goods-info .price{
	color: #ff2c3c;
}
.goods-group .goods-lists::-webkit-scrollbar {
	display: none;
	width: 0 !important;
	height: 0 !important;
	-webkit-appearance: none;
	background: transparent;
	color: transparent;
}
.price-container{
	display: inline-block;
}
.price-wrap{
	display: flex;
	align-items: baseline;
}
.price-wrap--disabled{
	position: relative;
}
.price-wrap--disabled::before {
	position: absolute;
	left: 0;
	top: 50%;
	right: 0;
	transform: translateY(-50%);
	display: block;
	content: "";
	height: .05em;
	background-color: currentColor;
}
.seckill {
	overflow: hidden;
}
.seckill .seckill-header{
	color: #fff;
	height: 50px;
	background-color: #ff624b;
	background-repeat: no-repeat;
	background-size: 100% auto;
	padding: 0 10px 0 10px;
}
.seckill .seckill-goods .goods-lists{
	overflow: hidden;
}
.seckill .seckill-goods .goods-lists::-webkit-scrollbar {
	display: none;
	width: 0 !important;
	height: 0 !important;
	-webkit-appearance: none;
	background: transparent;
	color: transparent;
}
.seckill .seckill-goods .goods-lists.swiper{
	overflow-x: auto;
	overflow-y: hidden;
	display: flex;
	position: relative;
}
.seckill .seckill-goods .goods-lists.swiper .goods-wrap{
	flex: 0 0 36%;
	width: 36%;
}
.seckill .seckill-goods .goods-lists.lists .goods-wrap .goods-item{
	flex-direction: row;
}
.seckill .seckill-goods .goods-lists.lists .goods-wrap .goods-item .goods-image{
	width: 120px;
	padding-top: 120px;
}
.seckill .seckill-goods .goods-lists.lists .goods-wrap .goods-item .goods-info{
	position: relative;
	padding: 10px;
}
.seckill .seckill-goods .goods-lists.lists .goods-wrap .goods-item .goods-info .name{
	line-height: 18px;
	height: 36px;
}
.seckill .seckill-goods .goods-lists.lists .goods-wrap .goods-item .goods-info .price-btn{
	position: absolute;
	right: 10px;
	left: 10px;
	bottom: 10px;
}
.seckill .seckill-goods .goods-lists .goods-wrap{
	overflow: hidden;
}
.seckill .seckill-goods .goods-lists .goods-wrap .goods-item{
	overflow: hidden;
	display: flex;
	flex-direction: column;
}
.seckill .seckill-goods .goods-lists .goods-wrap .goods-item .goods-image{
	position: relative;
	width: 100%;
	padding-top: 100%;
	box-sizing: border-box;
}
.seckill .seckill-goods .goods-lists .goods-wrap .goods-item .goods-image .u-image{
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	width: 100%;
}
.seckill .seckill-goods .goods-lists .goods-wrap .goods-item .goods-info{
	flex: 1;
}
.seckill .seckill-goods .goods-lists .goods-wrap .goods-item .goods-info .name{
	color: #333333;
}
.seckill .seckill-goods .goods-lists .goods-wrap .goods-item .goods-info .price{
	color: #ff2c3c;
}
.seckill .seckill-goods .goods-lists .goods-wrap .goods-item .goods-info .buy-btn{
	padding: 6px 10px;
	color: #ffffff;
	background-color: #ff2c3c;
	border-radius: 30px;
}
.seckill .slg-icon .iconfont{
	font-size: 13px;
}
.tabs .tabs-header{
	display: inline-flex;
	overflow: hidden;
}
.tabs .tab-scroll{
	overflow: auto hidden;
}
.tabs .tab-scroll::-webkit-scrollbar {
	display: none;
	width: 0 !important;
	height: 0 !important;
	-webkit-appearance: none;
	background: transparent;
	color: transparent;
}
.tabs .tabs-header .tabs-header-item{
	padding: 0 10px;
	text-align: center;
	font-size: 15px;
	height: 44px;
	line-height: 44px;
	position: relative;
	white-space: nowrap;
	color: #ff2c3c;
}
.tabs .tabs-header .tabs-header-item .tabs-line{
	position: absolute;
	left: 20%;
	right: 20%;
	bottom: 0;
	height: 2px;
	background: #ff2c3c;
	z-index: 1;
}